import { z } from "zod";

export const UnlockHistoryRequestSchema = z
  .object({
    characterId: z.string().min(1),
  })
  .readonly();

export type UnlockHistoryRequestInput = z.input<
  typeof UnlockHistoryRequestSchema
>;
export type UnlockHistoryRequestData = z.output<
  typeof UnlockHistoryRequestSchema
>;

export type UnlockHistoryRequest = UnlockHistoryRequestData;
